summaryrefslogtreecommitdiff
path: root/docs
diff options
context:
space:
mode:
authorNicolai Hähnle <nicolai.haehnle@amd.com>2016-03-17 19:53:36 -0500
committerNicolai Hähnle <nicolai.haehnle@amd.com>2016-04-12 20:13:49 -0500
commit10cfd7a6045ffbfd0debf66d2dfd2caeeb559951 (patch)
tree83af0e8817e077905c096ef316935f93ed49e8bd /docs
parent047e3264f67bc54365be7b0e163b6910a9e9de3a (diff)
radeonsi: enable GLSL 4.20 and therefore OpenGL 4.2
This is the last necessary bit for OpenGL 4.2 support. All driver-specific functionality has already been implemented as part of extensions. Reviewed-by: Edward O'Callaghan <eocallaghan@alterapraxis.com>
Diffstat (limited to 'docs')
-rw-r--r--docs/GL3.txt2
-rw-r--r--docs/relnotes/11.3.0.html7
2 files changed, 5 insertions, 4 deletions
diff --git a/docs/GL3.txt b/docs/GL3.txt
index 7535dc5f810..39f512272a5 100644
--- a/docs/GL3.txt
+++ b/docs/GL3.txt
@@ -146,7 +146,7 @@ GL 4.1, GLSL 4.10 --- all DONE: nvc0, r600, radeonsi
GL_ARB_viewport_array DONE (i965, nv50, llvmpipe, softpipe)
-GL 4.2, GLSL 4.20:
+GL 4.2, GLSL 4.20 -- all DONE: radeonsi
GL_ARB_texture_compression_bptc DONE (i965, nvc0, r600, radeonsi)
GL_ARB_compressed_texture_pixel_storage DONE (all drivers)
diff --git a/docs/relnotes/11.3.0.html b/docs/relnotes/11.3.0.html
index 9860ab0a09c..1815cfcde2f 100644
--- a/docs/relnotes/11.3.0.html
+++ b/docs/relnotes/11.3.0.html
@@ -22,11 +22,11 @@ People who are concerned with stability and reliability should stick
with a previous release or wait for Mesa 11.3.1.
</p>
<p>
-Mesa 11.3.0 implements the OpenGL 4.1 API, but the version reported by
+Mesa 11.3.0 implements the OpenGL 4.2 API, but the version reported by
glGetString(GL_VERSION) or glGetIntegerv(GL_MAJOR_VERSION) /
glGetIntegerv(GL_MINOR_VERSION) depends on the particular driver being used.
-Some drivers don't support all the features required in OpenGL 4.1. OpenGL
-4.1 is <strong>only</strong> available if requested at context creation
+Some drivers don't support all the features required in OpenGL 4.2. OpenGL
+4.2 is <strong>only</strong> available if requested at context creation
because compatibility contexts are not supported.
</p>
@@ -44,6 +44,7 @@ Note: some of the new features are only available with certain drivers.
</p>
<ul>
+<li>OpenGL 4.2 on radeonsi</li>
<li>GL_ARB_framebuffer_no_attachments on nvc0, r600, radeonsi</li>
<li>GL_ARB_internalformat_query2 on all drivers</li>
<li>GL_ARB_robust_buffer_access_behavior on radeonsi</li>